/*
 * CATCut.cpp
 *
 *  Created on: 13-mar-2009
 *      Author: Sergio Ricciarini, Nicola Mori
 */

/*! @file CATCut.cpp The CATCut class implementation file */

#include "CATCut.h"

int CATCut::Check(PamLevel2 *event) {

  if (event->GetAcLevel2()->IsHit("CAT1-M") || event->GetAcLevel2()->IsHit("CAT1-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CAT2-M") || event->GetAcLevel2()->IsHit("CAT2-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CAT3-M") || event->GetAcLevel2()->IsHit("CAT3-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CAT4-M") || event->GetAcLevel2()->IsHit("CAT4-E"))
    return 0;

  return CUTOK;

}
